
#ifdef BWCLOSEDLOOP_EXPORTS
#define BWCLOSEDLOOP_API __declspec(dllexport)
#else
#define BWCLOSEDLOOP_API __declspec(dllimport)
#endif

typedef unsigned char byte;
typedef void (*callback)(long long, byte*, int);

#ifdef __cplusplus
extern "C" {
#endif
	BWCLOSEDLOOP_API bool Subscribe(callback cb);
	BWCLOSEDLOOP_API void UnSubscribe();
	BWCLOSEDLOOP_API void SetCallbackThreadPriority(int priority);
	BWCLOSEDLOOP_API int GetNBuffers();
	BWCLOSEDLOOP_API double GetBufferLevel();

	BWCLOSEDLOOP_API double GetSamplingRate();
	BWCLOSEDLOOP_API double GetMVOffset();
	BWCLOSEDLOOP_API double GetADCCountsToMV();

	BWCLOSEDLOOP_API int GetArrayNRows();
	BWCLOSEDLOOP_API int GetArrayNCols();
	BWCLOSEDLOOP_API int GetNAcqChannels();
	BWCLOSEDLOOP_API int* GetIndexesOfAcqChannels();
	BWCLOSEDLOOP_API void ChannelIndexToSubscripts(int index, int& row, int& col);
	BWCLOSEDLOOP_API int ChannelSubscriptsToIndex(int row, int col);
	BWCLOSEDLOOP_API int GetAcqFramePositionOfChannelIndex(int index);
	BWCLOSEDLOOP_API int GetAcqFramePositionOfChannelSubscripts(int row, int col);
#ifdef __cplusplus
}
#endif
